Subject: Re: [PATCH] sky2: jumbo frame regression fix

From: Ian Kumlien <[email-masked]>
Date: Wed, 03 Oct 2007 20:28:21 +0200

On ons, 2007-10-03 at 14:04 -0400, Bill Davidsen wrote:
> Ian Kumlien wrote:
> > On tis, 2007-10-02 at 18:02 -0700, Stephen Hemminger wrote:
> >> Remove unneeded check that caused problems with jumbo frame sizes.
> >> The check was recently added and is wrong.
> >> When using jumbo frames the sky2 driver does fragmentation, so
> >> rx_data_size is less than mtu.
> > 
> > Confirmed working.
> > 
> > Now running with 9k mtu with no errors, =)
> 
> Have you verified that you are actually getting jumbo packets out of the 
> NIC? I had one machine which did standard packets silently using sky2 
> and jumbo using sk98lin. I was looking for something else with tcpdump 
> and got one of those WTF moments when I saw all the tiny packets.

20:27:06.542461 IP pi.local > blue.local: ICMP echo request, id 27173, seq 42, length 8008
20:27:06.543136 IP blue.local > pi.local: ICMP echo reply, id 27173, seq 42, length 8008

That should solve it for us, right? =)

-- 
Ian Kumlien <pomac () vapor ! com> -- http://pomac.netswarm.net